package pps.core.task.job;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import pps.cloud.mdm.service.MdmService;
import xstartup.annotation.XService;
import xstartup.annotation.XText;
import xstartup.base.XContext;
import xstartup.data.XServiceResult;
import xstartup.service.job.XJob;
import xstartup.service.job.annotation.XCronTrigger;

@XText("作业计划倒计时任务")
@XService
public class DispTaskPlanCountdownHoursJob implements XJob {

    private static Logger logger = LoggerFactory.getLogger(DispTaskPlanCountdownHoursJob.class);

//    @XCronTrigger(value = "0 0/1 * * * ?")
    @Override
    public XServiceResult execute(XContext context) {
        logger.info("定时检查作业计划倒计时结束的记录");

        MdmService service = context.getBean(MdmService.class);
        XServiceResult xServiceResult = service.pullMdmDataTime(context);

        return xServiceResult;
    }

}
