package pps.core.task.service;

import pps.cloud.scadapi.service.ScadaPiService;
import pps.cloud.scadapi.service.data.SyncScadaDataParamsInput;
import pps.core.task.job.TaskPlanImsJob;
import pps.core.task.model.TaskSyncScadaDataParamsInput;
import xstartup.annotation.XService;
import xstartup.annotation.XText;
import xstartup.base.XContext;
import xstartup.base.util.XCopyUtils;
import xstartup.data.XServiceResult;
import xstartup.feature.api.annotation.XApiPost;

import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Date;

@XService
@XText("任务服务-供xxl-job 调用-Scada PI")
public class ScadaPIService {
    @XApiPost(anonymous = true)
    @XText("获取scada-PI 数据")
    public XServiceResult getScadapiData4(XContext context, TaskSyncScadaDataParamsInput input) {

        ScadaPiService service = context.getBean(ScadaPiService.class);

        SyncScadaDataParamsInput _input = new SyncScadaDataParamsInput();
        XCopyUtils.copyObject(input,_input);

        Date currentTime = new Date();
        int currentMin = currentTime.getMinutes();
        String gather_offsetStr = String.valueOf(currentMin);
        _input.setGatherOffset(gather_offsetStr);//gatherOffset
        _input.setCurrentTime(currentTime);
        service.SyncScadaDataParamsbak(context, _input);

        return XServiceResult.OK;
    }
}
