package pps.core.task.service;

import pps.core.task.job.TaskPlanImsJob;
import xstartup.annotation.XService;
import xstartup.annotation.XText;
import xstartup.base.XContext;
import xstartup.data.XServiceResult;
import xstartup.feature.api.annotation.XApiPost;

/**
 * @author lixueyan
 * @date 2023/5/4 0004 15:33
 */
@XService
@XText("任务服务-供xxl-job 调用")
public class TaskService {

    @XApiPost(anonymous = true)
    @XText("获取IMS作业计划")
    public XServiceResult getTaskPlanByIms(XContext context) {
        TaskPlanImsJob bean = context.getBean(TaskPlanImsJob.class);
        return bean.execute(context);
    }
}
