--pps_base_info start
-- 用户表添加是否交易平台用户字段 start------
ALTER TABLE pps_base_info.sys_user ADD is_trade int4 NULL DEFAULT 0;
COMMENT ON COLUMN pps_base_info.sys_user.is_trade IS '是否交易平台用户';
-- 用户表添加是否交易平台用户字段 end------

-- 创建交易平台接口访问白名单  start -----
CREATE TABLE pps_base_info.sys_trade_interface_white (
	id varchar(40) NOT NULL,
	service_name varchar NULL,
	method_name varchar NULL,
	create_by_id varchar(40) NULL,
	create_by_name varchar(50) NULL,
	create_time timestamp(3) NULL,
	modify_by_id varchar(40) NULL,
	modify_by_name varchar(50) NULL,
	modify_time timestamp(3) NULL,
	CONSTRAINT sys_trade_interface_white_pk PRIMARY KEY (id)
);
COMMENT ON TABLE pps_base_info.sys_trade_interface_white IS '交易平台访问接口白名单';

-- Column comments

COMMENT ON COLUMN pps_base_info.sys_trade_interface_white.id IS '主键';
COMMENT ON COLUMN pps_base_info.sys_trade_interface_white.service_name IS '服务名（全路径）';
COMMENT ON COLUMN pps_base_info.sys_trade_interface_white.method_name IS '方法名（驼峰格式）';
COMMENT ON COLUMN pps_base_info.sys_trade_interface_white.create_by_id IS '创建人';
COMMENT ON COLUMN pps_base_info.sys_trade_interface_white.create_by_name IS '创建人名称';
COMMENT ON COLUMN pps_base_info.sys_trade_interface_white.create_time IS '创建时间';
COMMENT ON COLUMN pps_base_info.sys_trade_interface_white.modify_by_id IS '修改人';
COMMENT ON COLUMN pps_base_info.sys_trade_interface_white.modify_by_name IS '修改人名称';
COMMENT ON COLUMN pps_base_info.sys_trade_interface_white.modify_time IS '修改时间';
-- 创建交易平台接口访问白名单  end -------
