-- pps_dispatch
-- 作业计划增加流程管理表 start---
CREATE TABLE pps_dispatch.disp_task_plan_bpm (
	id varchar(40) NOT NULL,
	media_type varchar(40) NOT NULL,
	task_type int4 NOT NULL,
	ou_id varchar(40) NULL,
	process_code varchar NOT NULL,
	approval_last_ou_level varchar(40) NULL,
	is_enable int4 NULL DEFAULT 1,
	create_by_id varchar(40) NULL,
	create_by_name varchar(50) NULL,
	create_time timestamp(3) NULL,
	modify_by_id varchar(40) NULL,
	modify_by_name varchar(50) NULL,
	modify_time timestamp(3) NULL,
	CONSTRAINT disp_task_plan_bpm_pk PRIMARY KEY (id)
);
COMMENT ON TABLE pps_dispatch.disp_task_plan_bpm IS '作业计划流程管理';

-- Column comments

COMMENT ON COLUMN pps_dispatch.disp_task_plan_bpm.id IS '主键';
COMMENT ON COLUMN pps_dispatch.disp_task_plan_bpm.media_type IS '介质类型';
COMMENT ON COLUMN pps_dispatch.disp_task_plan_bpm.task_type IS '作业类型';
COMMENT ON COLUMN pps_dispatch.disp_task_plan_bpm.ou_id IS '组织机构id（不为空时代表组织机构的特殊流程配置）';
COMMENT ON COLUMN pps_dispatch.disp_task_plan_bpm.approval_last_ou_level IS '最后审批的组织机构层级';
COMMENT ON COLUMN pps_dispatch.disp_task_plan_bpm.is_enable IS '是否有效（0：否，1：是）';
COMMENT ON COLUMN pps_dispatch.disp_task_plan_bpm.create_by_id IS '创建人';
COMMENT ON COLUMN pps_dispatch.disp_task_plan_bpm.create_by_name IS '创建人名称';
COMMENT ON COLUMN pps_dispatch.disp_task_plan_bpm.create_time IS '创建时间';
COMMENT ON COLUMN pps_dispatch.disp_task_plan_bpm.modify_by_id IS '修改人';
COMMENT ON COLUMN pps_dispatch.disp_task_plan_bpm.modify_by_name IS '修改人名称';
COMMENT ON COLUMN pps_dispatch.disp_task_plan_bpm.modify_time IS '修改时间';
COMMENT ON COLUMN pps_dispatch.disp_task_plan_bpm.process_code IS '流程编码';
-- 作业计划增加流程管理表 end---
